Public Member Functions | Public Attributes | List of all members
libpagemaker::UnknownRecordSizeException Struct Reference

`#include <PMDExceptions.h>`

Inheritance diagram for libpagemaker::UnknownRecordSizeException:

## Public Member Functions
| UnknownRecordSizeException (uint16_t recordType)
Public Member Functions inherited from libpagemaker::PMDParseException
| PMDParseException (const std::string &message)
virtual | ~PMDParseException ()

## Public Attributes
uint16_t | m_recordType
Public Attributes inherited from libpagemaker::PMDParseException
std::string | m_message

## Constructor & Destructor Documentation

## ◆ UnknownRecordSizeException()

libpagemaker::UnknownRecordSizeException::UnknownRecordSizeException | ( | uint16_t | recordType | ) |
| inline

## Member Data Documentation

## ◆ m_recordType

uint16_t libpagemaker::UnknownRecordSizeException::m_recordType

The documentation for this struct was generated from the following file:

- PMDExceptions.h